# pandas.Series.between

`Series.``between`(left, right, inclusive=True)

  Return boolean Series equivalent to left <= series <= right.

  This function returns a boolean vector containing True wherever the corresponding Series element is between the boundary values left and right. NA values are treated as False.

  Parameters:

  left : scalar

  > Left boundary.

  right : scalar

  > Right boundary.

  inclusive : bool, default True

  > Include boundaries.

  Returns:

  Series

  > Series representing whether each element is between left and right (inclusive).

  See also

  `Series.gt`
    Greater than of series and other.
  `Series.lt`
    Less than of series and other.

  Notes

  This function is equivalent to `(left <= ser) & (ser <= right)`

  Examples

      >>> s = pd.Series([2, 0, 4, 8, np.nan])

  Boundary values are included by default:

      >>> s.between(1, 4)
      0     True
      1    False
      2     True
      3    False
      4    False
      dtype: bool

  With inclusive set to `False` boundary values are excluded:

      >>> s.between(1, 4, inclusive=False)
      0     True
      1    False
      2    False
      3    False
      4    False
      dtype: bool

  left and right can be any scalar value:

      >>> s = pd.Series(['Alice', 'Bob', 'Carol', 'Eve'])
      >>> s.between('Anna', 'Daniel')
      0    False
      1     True
      2     True
      3    False
      dtype: bool

Scroll To Top